BASH_HD

Удаленный расчет операций в Solidcam (на удаленной машине)

Господа, кто пользовался этой фичей?

 

Как это работает? На удаленном компе должен быть запущен солидкам, с какими лицензиями, как правильно настроить сетку?

 

Я пытался - ничего не вышло. Через сетевой монитор было видно что идут запросы и всё. 

 

Необходимость очень острая, по часу считает операции. 

 

Еще один актуальный вопрос, но он правда больше как призыв к разработчикам - когда уже появится задействование ядер CUDA наших супер мощных QUADRO видеокарт в расчете операций.  В 2018 году это вообще очень странно чтобы CAM система этого не умела.

par.JPG

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах


13 часа назад, BASH_HD сказал:

как призыв к разработчикам - когда уже появится задействование ядер CUDA наших супер мощных QUADRO видеокарт в расчете операций

да они на многоядерность CPU не хотят переходить, а уж на возможности CUDA я вообще молчу :biggrin:

был опыт по длительности расчета одной операции. мой рекорд был 9 часов 20 мин. вечером в 10 задал расчет операции, ушел домой, пришел на следующий день, и расчет операции был завершен в 7 утра...)))

хорошо еще что без краха обошлось , а то обычно "падал" и приходилось делать все по новой.... ))

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
15 часов назад, pavel-kpll сказал:

да они на многоядерность CPU не хотят переходить, а уж на возможности CUDA я вообще молчу :biggrin:

был опыт по длительности расчета одной операции. мой рекорд был 9 часов 20 мин. вечером в 10 задал расчет операции, ушел домой, пришел на следующий день, и расчет операции был завершен в 7 утра...)))

хорошо еще что без краха обошлось , а то обычно "падал" и приходилось делать все по новой.... ))

что за модель просчитывали так долго? инструменталка? большие габариты и малый допуск?

Изменено пользователем NickEL1000

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
9 часов назад, NickEL1000 сказал:

что за модель просчитывали так долго? инструменталка? большие габариты и малый допуск?

пресс-форма, 4Х5МФС ,  56HRC , зона обработки 300х120мм. фреза диаметром-3 радиус-1.5

мелкий шаг, сложные поверхности и т.д. но медлительность расчета была скорее всего из за слабой мощности ноутбука...

характеристики  

ASUS

Процессор: Intel Core i5 7200 2.5 ГГц

Количество ядер: 2

Кэш-память: 3 МБ

Оперативная память: 4 ГБ DDR4-2133 МГц

SSD 128Gb

Hide  

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
3 минуты назад, pavel-kpll сказал:

слабой мощности ноутбука...

Для расчета пресс-форм это очень и очень слабый комп! 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 час назад, pavel-kpll сказал:

пресс-форма, 4Х5МФС ,  56HRC , зона обработки 300х120мм. фреза диаметром-3 радиус-1.5

мелкий шаг, сложные поверхности и т.д. но медлительность расчета была скорее всего из за слабой мощности ноутбука...

характеристики

ASUS

Процессор: Intel Core i5 7200 2.5 ГГц

Количество ядер: 2

Кэш-память: 3 МБ

Оперативная память: 4 ГБ DDR4-2133 МГц

SSD 128Gb

Hide

Под “косынку “ играть норм ноут ;) 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

SC для инструменталки не самый лучший выбор, т.к. не позволяет редактировать уже рассчитанные переходы, только перерасчет заново

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
10 минут назад, NickEL1000 сказал:

не позволяет редактировать уже рассчитанные переходы, только перерасчет занов

а в каких САМ это реализовано и как работает))? так себе для развития;)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Только что, Makar32 сказал:

а в каких САМ это реализовано и как работает))? так себе для развития;)

Ты бы лучше не спрашивал... а то сейчас ЧИНГАЧКУК прилетит и покажет примеры:biggrin:

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 минуту назад, pavel-kpll сказал:

и покажет примеры:biggrin:

:biggrin:

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

 

3 часа назад, NickEL1000 сказал:

SC для инструменталки не самый лучший выбор, т.к. не позволяет редактировать уже рассчитанные переходы, только перерасчет заново

3 часа назад, Makar32 сказал:

а в каких САМ это реализовано и как работает))? так себе для развития;)

даже несмотря на мое позитивное отношение к SC сложные штампы и пресс-формы не для этой CAM, например, объемная фигура 500х1000 с допуском сотка, будет уже для SC неподъемная задача, тем более что считает все это на одном ядре.

 

4 часа назад, Makar32 сказал:

а в каких САМ это реализовано и как работает))? так себе для развития;)

ответил в ЛС

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
4 часа назад, NickEL1000 сказал:

даже несмотря на мое позитивное отношение к SC сложные штампы и пресс-формы не для этой CAM, например, объемная фигура 500х1000 с допуском сотка, будет уже для SC неподъемная задача, тем более что считает все это на одном ядре.

так и есть... только это я пытался объяснить еще 5 лет назад (сейчас уже просто молчу) некоторым участникам форума, которые рьяно утверждали и утверждают обратное...

представляете, пф лицевой стороны отражателя, или рассеиватель ... стандартная твердость 55-58 HRC, там куча формообразующих поверхностей и все должно блестеть как у кота яйца.

даже больше скажу, и на дорогущем ПК (покупали за 260 тыс.) SC вечно по 2-3 часа жует чего-то там в своих операциях расчета, вечно какие-то ошибки, крахи... столько млять намучался.

и еще. даже сейчас (после стольких горе-обновлений и версий), хваленый HSS. указал всю, мать его, модель, а он просто, сквозь тт (твердого тела) проходит и все тут... ну вот хочется ему так и все тут.. хоть убейся об стену.

потому пришлось осваивать действительно хорошую CAM.  И если кто-то тут мне захочет сказать, типа "а чего ты тут делаешь. иди в другую ветку." и прочее, могу узбагоить и сказать сейчас, что не стоит утруждаться и доказывать с пеной изо рта, ибо я уже збагоен и удовлетворен тем, что сейчас имею...:biggrin:

p.s. прошу прощения за каламбур и флуд )))

 

4 часа назад, NickEL1000 сказал:

ответил в ЛС

а зачем в лс?? пишите тут, пусть все знают. чего стыдиться-то?

Изменено пользователем pavel-kpll

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Как раз функция параллельный расчет на удаленной машине позволяет загружать все ядра, так как запускает на несколько операций еще несколько процессов (когда ставишь галку считать на локальной машине) и тем самым идет загрузка всех ядер. вот только для одной операции (а в случае с 3д машинингом и HSR по другому быть зачастую не может, так как они зависимы от предыдущих операций) это не катит. но даже одну оперцию считает так быстрее.

 

Вобщем увы солидкам система весьма слабая с кучей глюков.  Но переучиваться на что-то другое нет тупо времени.   Давай по теме удаленного рассчета всетки говорить, а то опять холивар тут начнется.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@pavel-kpll PowerMill при расчете чистовой траектории на достаточно большой фигуре штампа, в тяжелых случаях, тратил 2-3 часа только на сам расчет, плюс потом руками столько же, если не больше, доводишь в PM траекторию до идеального состояния... (перед постпроцессированием)

SC бы ни осилил такое ну ни как, инструмент не для этих задач

 

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
6 минут назад, Makar32 сказал:

А workNC юзали ?

это те самые разработчики что и SURFCAM состряпали... (так же и Alphacam, Edgecam (этот вообще дедушка))

SURFCAM юзал. интерфейс весь какой-то детский (аля-мултяшность).

смотрел и в сторону workNC . ядро то такое же как и в SURFCAM. ничего нового там я не увидел, это если сравнивать с SC (ну конечно за исключением великого и могучего аймаша) .

к тому же, разговаривал с человеком который работал в workNC. услышав то, что фреза часто возвращается на уже обработанную плоскость (не проработана интеллектуальность), мне уже больше не хотелось ничего слышать об этой проге.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
12 часа назад, pavel-kpll сказал:

хваленый HSS. указал всю, мать его, модель, а он просто, сквозь тт (твердого тела) проходит и все тут... ну вот хочется ему так и все тут.. хоть убейся об стену.

видемо ты просто не знаешь для чего нужна стратегия хсс и как она работает и для каких поверхностей преднозначина и как ее настраивать ! Стратегии хср и хсм для обработки прессформ ! Не спорю что они не всегда делают то что хочется но при хорошем владении программой и комбинацией настроек можно добится хороших результатов а чтобы расчеты не затягивались на часы обрабатывайте модель разбив на части или поверхности ! я работал в павермил и скажу что там тоже не все так гладко как стелят по тому там и слеланно ручное редактирование траектории по тому что изначально нормальную он со старта построить не можит ! На эту тему можно спорить долго и мучительно но наезжать на программу тоже не надо если при работе с ней ты брал только стратегию к примеру 3D Model а тут решил попробовать другую и не чего не получилось ! 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
В 09.12.2017 в 23:07, BASH_HD сказал:

 Давай по теме удаленного рассчета всетки говорить, а то опять холивар тут начнется.

По теме никто не подскажет? Никто не юзал?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Создайте аккаунт или войдите для комментирования

Вы должны быть пользователем, чтобы оставить комментарий

Создать аккаунт

Зарегистрируйтесь для получения аккаунта. Это просто!


Зарегистрировать аккаунт

Войти

Уже зарегистрированы? Войдите здесь.


Войти сейчас

  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Реклама

  • Сообщения

    • Knight of Truth
      По Windows 7 - не знаю. На этой оси у нас обновления не тестировались - так как решили не тратить время и не пробовать снова эту отраву на вкус, ведь принцип действия патчей одинаков, не зависимо от операционной системы, а разработчики Microsoft по указу сверху могут добавлять новые компоненты этих патчей в любые обновления "стабильности" и "безопасности". Интересная информация: компания ASUS уже выкатила новые версии БИОС для своих материнских плат, где в процессор прошивается новый микрокод, устраняющий "уязвимости" системы. Подозреваю, что там припасено дополнительное урезание мощности компьютерного железа.
    • soklakov
      у Ансиса есть старый курс " Aeroacoustics using ANSYS Fluent 14.5 ".   сам не читал, но говорят там довольно понятно всё.
    • Борман
    • Tad
      По поводу дрожания - надо развоздушить систему. Если воздух не обнаружится - пробовать немного уменьшить коэффициент усиления ПИД регулятора осей Y при рабочей скорости. По поводу отключения - мало информации.
    • soklakov
      Крайне интересно. Правильно ли я понял, что Ваша софтина умеет прикладывать нагрузки к кубику, не спрашивая меня, какую из шести граней закрепить, а какую нагрузить? Если так, то тревожит вопрос: откуда она знает?
    • soklakov
      Подробностей? А то и правда, секретный танк, о котором ученые еще ничего не знают, работает при -300 по цельсию.
    • Sla_68
      Можете меня обзывать как хотите, быдло-кодером ну и т.д. Ну хоть убейте меня , я не знаю как выполнить данную задачу без дополнительных построений.  А так код вполне себе рабочий.Определяет все что мне нужно. Только что написал. Выкладываю код. Там имеется еще наборчик пользовательских функций. Но они все тригонометрические. Поэтому пока без них. Sub Назначение_свойств_профиля() 'On Error GoTo ex Dim swFace As SldWorks.face2 Dim swSurf As SldWorks.Surface Dim swDisplayDimension As SldWorks.DisplayDimension Dim swDim As SldWorks.Dimension Dim v1 As SldWorks.Vertex Dim v2 As SldWorks.Vertex Dim swRefAxis As SldWorks.RefAxis Dim vAxisParam As Variant Dim x As Double Dim y As Double Dim z As Double Dim x1 As Double Dim y1 As Double Dim z1 As Double Dim fx As Double Dim fy As Double Dim fz As Double Dim fx1 As Double Dim fy1 As Double Dim fz1 As Double Dim sm() As Double Dim swFeatMgr As SldWorks.FeatureManager Set swApp = Application.SldWorks Set part = swApp.ActiveDoc Set swFeatMgr = part.FeatureManager Set swSelMgr = part.SelectionManager part.SketchManager.AddToDB = True swApp.SetUserPreferenceToggle swSketchAutomaticRelations, False 'автопривязки отключаем swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swSketchInference, False 'прилипание ..отключает все взаимосвязи swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swInputDimValOnCreate, False 'убивает диалог с размером false -выключает диалог tt = part.GetTitle mg = Mid(tt, 10, 2) lRetVal = part.AddCustomInfo3("", "материал", swCustomInfoText, mg) partTitle = part.GetTitle namedetal = partTitle & ".SLDPRT" arrbody = part.GetBodies2(swSolidBody, False) Set body = arrbody(0) glavfaces = вернуть_номера_главных_плоскостей(body) Set swFace = glavfaces(2) Set swSurf = swFace.GetSurface '======================================================== If swSurf.IsPlane Then edjearr = вернуть_2_главных_кромки(swFace1) Set Edge = edjearr(2) params = Edge.GetCurveParams2 x1 = params(0): x2 = params(3): an1 = x1 - x2: bn1 = x2 - x1 'вектор оси y1 = params(1): y1 = params(4): an2 = y1 - y2: bn2 = y2 - y1 z1 = params(2): z1 = params(5): an3 = z1 - z2: bn3 = z2 - z1 pvec = перпендикулярный_вектор(an1, an2, an3) Set axeobj = Edge Set faceObj = swFace ElseIf swSurf.IsCylinder Then params = swFace.GetSurface.CylinderParams x1 = params(0): x2 = params(3): an1 = x1 - x2: bn1 = x2 - x1 'вектор оси y1 = params(1): y1 = params(4): an2 = y1 - y2: bn2 = y2 - y1 z1 = params(2): z1 = params(5): an3 = z1 - z2: bn3 = z2 - z1 pvec = перпендикулярный_вектор(an1, an2, an3) part.Insert3DSketch2 True 'вход строим 3 точки для плоскости Set swSketch = swApp.ActiveDoc.GetActiveSketch2 swSketch.Name = "точка" загрузочная_точка_смещена 0.1, (x1 + x2) / 2, (y1 + y2) / 2, (z1 + z2) / 2, pvec(0), pvec(1), pvec(2), fx0, fy0, fz0 Set swSketchPt0 = part.SketchManager.CreatePoint(fx0, fy0, fz0) part.Insert3DSketch2 True 'выход part.BlankSketch 'скрывает эскизы swSketchPt0.SelectByMark False, 2 swFace.SelectByMark True, 2 bret = part.InsertAxis 'вставка оси Set swFeatMgr = part.FeatureManager swFeatures = swFeatMgr.GetFeatures(True) Set axeobj = swFeatures(UBound(swFeatures)) 'ось axeobj.Name = "ось профиля" axeobj.SelectByMark False, 2 swSketchPt0.SelectByMark True, 2 Set faceObj = part.CreatePlaneThruLineAndPt(False) 'создает плоскость faceObj.Name = "плоскость распила" faceObj.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.BlankRefGeom Else Exit Sub End If '=============================================== загрузочная_точка_смещена 3, x1, y1, z1, an1, an2, an3, fx1, fy1, fz1 'точки оси загрузочная_точка_смещена 3, x2, y2, z2, bn1, bn2, bn3, fx2, fy2, fz2 'точки оси загрузочная_точка_смещена 0.1, fx1, fy1, fz1, pvec(0), pvec(1), pvec(2), fx11, fy11, fz11 'точки будущих линий2 загрузочная_точка_смещена 0.1, fx2, fy2, fz2, pvec(0), pvec(1), pvec(2), fx22, fy22, fz22 'точки будущих линий2 '==================================================== faceObj.SelectByMark False, 2 part.SketchManager.InsertSketch True 'вставка 2D эскиза на рабочей плоскости Set swSketch = swApp.ActiveDoc.GetActiveSketch2 swSketch.Name = "контур_распила" Dim swMathPt1 As SldWorks.MathPoint Dim swMathPt11 As SldWorks.MathPoint Dim swMathPt111 As SldWorks.MathPoint Dim swMathPt2 As SldWorks.MathPoint Dim swMathPt22 As SldWorks.MathPoint Dim swMathPt222 As SldWorks.MathPoint Set swMathPt1 = get2Dpoint(swSketch, fx1, fy1, fz1) Set swMathPt11 = get2Dpoint(swSketch, fx11, fy11, fz11) Set swMathPt2 = get2Dpoint(swSketch, fx2, fy2, fz2) Set swMathPt22 = get2Dpoint(swSketch, fx22, fy22, fz22) Set skSegment1 = part.SketchManager.CreateCenterLine _ (swMathPt1.ArrayData(0), swMathPt1.ArrayData(1), swMathPt1.ArrayData(2), _ swMathPt11.ArrayData(0), swMathPt11.ArrayData(1), swMathPt11.ArrayData(2)) skSegment1.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.SketchAddConstraints "sgPERPENDICULAR" Set skSegment2 = part.SketchManager.CreateCenterLine _ (swMathPt2.ArrayData(0), swMathPt2.ArrayData(1), swMathPt2.ArrayData(2), _ swMathPt22.ArrayData(0), swMathPt22.ArrayData(1), swMathPt22.ArrayData(2)) skSegment2.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.SketchAddConstraints "sgPERPENDICULAR" '======================================================================================== Set v1 = ближайшая_вершина_к_координате(body, fx1, fy1, fz1, vdis1) Set Edge1 = ближайшая_кромка_к_координате(body, fx1, fy1, fz1, edis1) Set v2 = ближайшая_вершина_к_координате(body, fx2, fy2, fz2, vdis2) Set edge2 = ближайшая_кромка_к_координате(body, fx2, fy2, fz2, edis2) '=================================== If vdis1 <= edis1 Then v1.SelectByMark False, 2 Set swStartPt1 = skSegment1.GetStartPoint2 swStartPt1.SelectByMark True, 2 part.SketchAddConstraints "sgCOINCIDENT" Else Edge1.SelectByMark False, 2 skSegment1.SelectByMark True, 2 part.SketchAddConstraints "sgTANGENT" part.SketchAddConstraints "sgCOLINEAR" End If '================= If vdis2 <= edis2 Then v2.SelectByMark False, 2 Set swStartPt2 = skSegment2.GetStartPoint2 swStartPt2.SelectByMark True, 2 part.SketchAddConstraints "sgCOINCIDENT" Else edge2.SelectByMark False, 2 skSegment2.SelectByMark True, 2 part.SketchAddConstraints "sgTANGENT" part.SketchAddConstraints "sgCOLINEAR" End If '===================================== skSegment1.SelectByMark False, 2 skSegment2.SelectByMark True, 2 Set swDisplayDimension = part.AddDimension2(0, 0, 0) Set swDim = swDisplayDimension.GetDimension swDim.DrivenState = 1 swDim.Name = "длина" dlina = """длина@контур_распила@@default@" & namedetal & """" shirina = "1" lRetVal = part.DeleteCustomInfo2("", "длина") lRetVal = part.DeleteCustomInfo2("", "ширина") lRetVal = part.AddCustomInfo3("", "длина", swCustomInfoText, dlina) lRetVal = part.AddCustomInfo3("", "ширина", swCustomInfoText, shirina) part.SketchManager.InsertSketch True 'выход из эскиза part.BlankSketch ' скрыть эскиз part.SketchManager.AddToDB = False swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swSketchInference, True 'прилипание ..отключает все взаимосвязи swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swInputDimValOnCreate, True 'убивает диалог с размером true -включает диалог swApp.SetUserPreferenceToggle swSketchAutomaticRelations, True 'автопривязки включаем End Sub Function ближайшая_вершина_к_координате(body, x, y, z, dis) vList = body.GetVertices Dim arr() As Double Dim edjpoint As Variant Dim arrobj() As Object Dim arrobjdis() As Double If IsEmpty(vList) Then dis = 1000000 Set ближайшая_вершина_к_координате = Nothing Exit Function End If For i = 0 To UBound(vList) edjpoint = vList(i).GetClosestPointOn(x, y, z) 'ближайшая точка ReDim Preserve arr(i) 'массив дистанций ReDim Preserve arrobj(i) arr(i) = длина_линии(x, y, z, edjpoint(0), edjpoint(1), edjpoint(2)) Set arrobj(i) = vList(i) Next i max_min_indexarray arr, max1n, max2n, min1n, min2n dis = arr(min1n) Set ближайшая_вершина_к_координате = arrobj(min1n) End Function Function ближайшая_кромка_к_координате(body, x, y, z, dis) edgeList = body.GetEdges Dim arr() As Double Dim edjpoint As Variant Dim arrobj() As Object Dim arrobjdis() As Double For i = 0 To UBound(edgeList) edjpoint = edgeList(i).GetClosestPointOn(x, y, z) 'ближайшая точка ReDim Preserve arr(i) 'массив дистанций ReDim Preserve arrobj(i) arr(i) = длина_линии(x, y, z, edjpoint(0), edjpoint(1), edjpoint(2)) Set arrobj(i) = edgeList(i) Next i max_min_indexarray arr, max1n, max2n, min1n, min2n dis = arr(min1n) Set ближайшая_кромка_к_координате = arrobj(min1n) End Function Sub max_min_indexarray(mass, max1n, max2n, min1n, min2n) 'сортировка и удаление повторов в массиве max1n = 0 max2n = 0 min1n = 0 min2n = 0 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) > max1 Then max1 = CDbl(mass(i)) Next i max2 = 0 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) = max1 Then max1n = i Exit For End If Next i For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) > max2 And i <> max1n Then max2n = i max2 = mass(i) End If Next i ''''''''''''''''''''''''''''''''''''''''''''''''''обратная min1 = max1 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) < min1 Then min1 = CDbl(mass(i)) Next i min2 = max1 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) = min1 Then min1n = i Exit For End If Next i For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) < CDbl(min2) And i <> min1n Then min2n = i min2 = CDbl(mass(i)) End If Next i End Sub  
    • vad0000
      В первую очередь выкладывайте машинные параметры станка. 
    • Nevskiyalexxx
      Так то лучше вместо planarа несколько Z-levelов создать - он и припуск будет видеть и деталь гарантированно не зарежет.
    • lexincton
      Поменял вывод инструмента в событии начала траектории Прописать статично эту строку перед инструментом